# List users

Endpoint: GET /v1/domains/{domainId}/users
Security: httpAuth

## Path parameters:

  - `domainId` (string, required)
    Unique identifier for the domain.

## Query parameters:

  - `limit` (integer)
    The number of entities to return.

  - `startingAfter` (string)
    Entity id used to the determine beginning of query results.

  - `sortBy` (string)
    Property name used to sort the query results.
    Enum: "id", "alias", "lock", "metadata.createdAt", "metadata.lastModifiedAt"

  - `sortOrder` (string)
    Sort order applied to the query results.
    Enum: "ASC", "DESC"

  - `alias` (string)
    Return entities matching given alias.
    Example: "alias1"

  - `publicKey` (string)
    Return entities matching given public key. It should be provided in Base64 format.
    Example: "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAENYOHIq0Pgg5ERTQOahVK3I45+efvsRvw1rcyk+oqpnj7qkXSEis3BbgnwBY42uolGg7lPbusmAMWVDYRqKMApQ=="

  - `roles[]` (array)
    Return entities that are assigned to at least all the roles provided in the array.
    Example: ["admin,testUser","editor"]

  - `lock` (array)
    Return entities matching given lock status.
    Enum: "Unlocked", "Locked", "Archived"

  - `metadata.createdBy` (string)
    Return entities that were created by matching user.
    Example: "fdeeeb4b-f987-4ec4-9880-1eb280581d49"

  - `metadata.lastModifiedBy` (string)
    Return entities that were last modified by matching user.
    Example: "90c4cf2f-ebe0-4bf7-91cd-4c45cd02277b"

  - `metadata.description` (string)
    Return entities with descriptions that contains or equals to provided description.
    Example: "description1"

  - `metadata.customProperties` (array)
    Return entities that contains provided custom properties.
    Example: ["key1:value1","key2:value2"]

  - `roles` (array)
    Return entities that are assigned to roles.
    Example: ["admin","testUser"]

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.data` (object, required)

  - `items.data.id` (string, required)

  - `items.data.domainId` (string, required)

  - `items.data.alias` (string, required)

  - `items.data.publicKey` (string, required)

  - `items.data.roles` (array, required)

  - `items.data.lock` (string, required)
    Enum: "Unlocked", "Locked", "Archived"

  - `items.data.metadata` (object, required)

  - `items.data.metadata.description` (string)

  - `items.data.metadata.revision` (integer, required)

  - `items.data.metadata.createdAt` (string, required)

  - `items.data.metadata.createdBy` (object)

  - `items.data.metadata.createdBy.id` (string, required)

  - `items.data.metadata.createdBy.domainId` (string, required)

  - `items.data.metadata.lastModifiedAt` (string, required)

  - `items.data.metadata.lastModifiedBy` (object)

  - `items.data.metadata.customProperties` (object, required)

  - `items.data.loginIds` (array)
    Domain-unique loginId-loginProviderId pairs. Must be specified for login and match pre-configured values.

  - `items.data.loginIds.id` (string, required)
    User identifier used by the provider.

  - `items.data.loginIds.providerId` (string, required)
    Login provider. For internal login, set to harmonize. For external identity providers, must match the provider name.

  - `items.signature` (string, required)

  - `items.signingKey` (string, required)

  - `count` (integer, required)

  - `currentStartingAfter` (string)

  - `nextStartingAfter` (string)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)


